Package org.apache.tools.ant.types.resources

# Class AllButFirst

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper
org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper
org.apache.tools.ant.types.resources.SizeLimitCollection
org.apache.tools.ant.types.resources.AllButFirst

All Implemented Interfaces:
  `java.lang.Cloneable`, `java.lang.Iterable<Resource>`, `ResourceCollection`

    public class AllButFirst
    extends SizeLimitCollection

ResourceCollection that contains all resources of another collection except for the first `count` elements, a la the UNIX tail command with parameter `-n +count`.

Since:
  Ant 1.9.5

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AllButFirst()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected java.util.Collection<Resource>` | `getCollection()` | Take all elements except for the first `count` elements.
`int` | `size()` | Efficient size implementation.

### Methods inherited from class org.apache.tools.ant.types.resources.SizeLimitCollection

`getCount, getValidCount, setCount`

### Methods inherited from class org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper

`createIterator, getSize`

### Methods inherited from class org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper

`add, dieOnCircularReference, getResourceCollection, isCache, isFilesystemOnly, iterator, setCache, toString`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.apache.tools.ant.types.ResourceCollection

`isEmpty, stream`

## Constructor Details

### AllButFirst

public AllButFirst()

## Method Details

### getCollection

protected java.util.Collection<Resource> getCollection()
Take all elements except for the first `count` elements.

Specified by:
  `getCollection` in class `BaseResourceCollectionWrapper`
Returns:
  a Collection of Resources.

### size

public int size()
Description copied from class: `SizeLimitCollection`
Efficient size implementation.

Specified by:
  `size` in interface `ResourceCollection`
Overrides:
  `size` in class `SizeLimitCollection`
Returns:
  int size